# build output
dist/
.next/
out/
.contentlayer/

# generated types
.astro/
next-env.d.ts

# dependencies
node_modules/

# logs
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*

# environment variables
.env
.env.local
.env.development.local
.env.test.local
.env.production.local
.env.production

# macOS-specific files
.DS_Store

# jetbrains setting folder
.idea/

# VS Code
.vscode/*
!.vscode/settings.json
!.vscode/tasks.json
!.vscode/launch.json
!.vscode/extensions.json
*.code-workspace

# testing
/coverage

# local cache & data
.cache/
cloned-websites/
storage/
